Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1148

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-1148
Last Modified 25 Jun 2013 11:09:52
Published 03 Jul 2012 03:55:02
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-1148

Summary

Memory leak in the poolGrow function in expat/lib/xmlparse.c in expat before 2.1.0 allows context-dependent attackers to cause a denial of service (memory consumption) via a large number of crafted XML files that cause improperly-handled reallocation failures when expanding entities.

Vulnerable Systems

Application

  • Libexpat Expat 1.95.1

  • Libexpat Expat 1.95.2

  • Libexpat Expat 1.95.4

  • Libexpat Expat 1.95.5

  • Libexpat Expat 1.95.6

  • Libexpat Expat 1.95.7

  • Libexpat Expat 1.95.8

  • Libexpat Expat 2.0.0

  • Libexpat Expat 2.0.1


References

MANDRIVA - MDVSA-2012:041

CONFIRM - http://sourceforge.net/tracker/?func=detail&atid=110127&aid=2958794&group_id=10127

CONFIRM - http://sourceforge.net/projects/expat/files/expat/2.1.0/

SECUNIA - 49504

REDHAT - RHSA-2012:0731

CONFIRM - http://expat.cvs.sourceforge.net/viewvc/expat/expat/lib/xmlparse.c?r1=1.166&r2=1.167

UBUNTU - USN-1613-2

UBUNTU - USN-1527-1

DEBIAN - DSA-2525

UBUNTU - USN-1613-1

SECUNIA - 51040

SECUNIA - 51024

BID - 52379

Related Patches

Red Hat 2012:0731-01 RHSA Moderate: expat security update for RHEL 5 x86

Red Hat 2012:0731-01 RHSA Moderate: expat security update for RHEL 5 x86_64

Novell SUSE 2012:6200 expat security update for SLE 11 SP1 i586

Novell SUSE 2012:6200 expat security update for SLE 11 SP1 x86_64

Novell SUSE 2012:6200 expat security update for SLES 11 SP2 x86_64 (Rev 2)

Novell SUSE 2012:8015 expat security update for SLE 10 SP4 i586

Novell SUSE 2012:8015 expat security update for SLE 10 SP4 x86_64


Last Updated: 27 May 2016 10:53:33